Page MenuHomePhabricator

Improve 'Must be no more than x characters long' error message
Closed, ResolvedPublic3 Story Points

Description

As a user I would like the error message to tell me what the problem is, so I can fix it.

GIVEN I am on the Item page or wbeditentity or Special:NewItem
WHEN I enter a label that is too long and submit
THEN I expect the error message to be 'Label must not be more than x characters long'

GIVEN I am on the Item page or wbeditentity or Special:NewItem
WHEN I enter a description that is too long and submit
THEN I expect the error message to be 'Description must not be more than x characters long'

GIVEN I am on the Item page or wbeditentity or Special:NewItem
WHEN I enter an alias that is too long and submit
THEN I expect the error message to be 'Alias must not be more than x characters long'

Tasks:

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2018, 10:53 AM
WMDE-leszek set the point value for this task to 3.Jul 31 2018, 1:13 PM
WMDE-leszek updated the task description. (Show Details)Jul 31 2018, 2:02 PM
Jonas claimed this task.Aug 1 2018, 8:32 AM
Jonas moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.

Change 449691 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/Wikibase@master] Improve 'Must be no more than x characters long' error message

https://gerrit.wikimedia.org/r/449691

Jonas updated the task description. (Show Details)Aug 1 2018, 10:02 AM

Change 449691 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Improve 'Must be no more than x characters long' error message

https://gerrit.wikimedia.org/r/449691

Lydia_Pintscher closed this task as Resolved.Aug 6 2018, 9:03 AM
Lydia_Pintscher moved this task from Test (Verification) to Done on the Wikidata-Campsite board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/